on:
  push:
    branches:
      - main

permissions:
  contents: write
  pull-requests: write
  
name: release-please
jobs:
  release-please:
    runs-on: ubuntu-latest
    steps:
      - uses: google-github-actions/release-please-action@v4
        id: release
        with:
          command: manifest
          token: ${{ secrets.GITHUB_TOKEN }}
      # The logic below handles the npm publication:
      - uses: actions/checkout@v2
        if: ${{ steps.release.outputs.releases_created }}
      - uses: actions/setup-node@v1
        with:
          node-version: 18
          registry-url: 'https://registry.npmjs.org'
        if: ${{ steps.release.outputs.releases_created }}
      - run: npm ci
        if: ${{ steps.release.outputs.releases_created }}
      - run: cd packages/core && npm run build
        if: ${{ steps.release.outputs.releases_created }}
      - run: cd packages/core && npm publish --access public
        env:
          NODE_AUTH_TOKEN: ${{secrets.NPM_TOKEN}}
        if: ${{ steps.release.outputs.releases_created }}
